Skip to main content
PATCH
/
api
/
public
/
organizations
/
{orgId}
/
skills
/
{id}
Update a skill
curl --request PATCH \
  --url https://charts.basedash.com/api/public/organizations/{orgId}/skills/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "instructions": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "description": "<string>",
    "instructions": "<string>",
    "organizationId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer token format: Bearer <basedash_api_key>

Path Parameters

orgId
string
required

Organization ID

id
string
required

Skill ID

Body

application/json
name
string

Human-readable skill name

Required string length: 1 - 100
description
string | null

Optional routing description for the skill

Required string length: 1 - 1024
instructions
string

Full reusable skill instructions

Required string length: 1 - 50000

Response

Skill updated successfully

data
object
required